local AddOnName, Engine = ...
local AddOn = {}

Engine[1] = AddOn
EnhFL = Engine

AddOn.Name = _G[AddOnName]
AddOn.Title = select(2, GetAddOnInfo(AddOnName))
AddOn.Version = GetAddOnMetadata(AddOnName, "Version")
AddOn.MyRealm = GetCVar("realmName")
AddOn.FlatTexturePath = "Interface\\AddOns\\EnhancedFriendsList\\Textures\\Flat\\"
AddOn.FlatOnline = AddOn.FlatTexturePath.."StatusIcon-Online"
AddOn.FlatOffline = AddOn.FlatTexturePath.."StatusIcon-Offline"
AddOn.FlatAway = AddOn.FlatTexturePath.."StatusIcon-Away"
AddOn.FlatDnD = AddOn.FlatTexturePath.."StatusIcon-DnD"